import request from '@/utils/request'

export function getAbilityList(query) {
  return request({
    url: '/employee/ability/',
    method: 'get',
    params: query
  })
}

export function createAbility(data) {
  return request({
    url: '/employee/ability/',
    method: 'post',
    data
  })
}

export function updateAbility(id, data) {
  return request({
    url: `/employee/ability/${id}/`,
    method: 'put',
    data
  })
}

export function deleteAbility(id) {
  return request({
    url: `/employee/ability/${id}/`,
    method: 'delete'
  })
}